﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace NewYorkTimesTestJSON
{
    public class WeekData
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public int Count { get; set; }


        public void FormatRawDate(string RawDate)
        {
            int yearHoldStart = Convert.ToInt32(RawDate.Substring(0, 4));
            int monthHoldStart = Convert.ToInt32(RawDate.Substring(4, 2));
            int dayHoldStart = Convert.ToInt32(RawDate.Substring(6, 2));
            StartDate = new DateTime(yearHoldStart, monthHoldStart, dayHoldStart);
            
            int yearHoldEnd = Convert.ToInt32(RawDate.Substring(8, 4));
            int monthHoldEnd = Convert.ToInt32(RawDate.Substring(12, 2));
            int dayHoldEnd = Convert.ToInt32(RawDate.Substring(14, 2));
            EndDate = new DateTime(yearHoldEnd, monthHoldEnd, dayHoldEnd);
        }
    }
}
